## org.apache.poi.ss.formula
Class FormulaRenderer

    java.lang.Object
      org.apache.poi.ss.formula.FormulaRenderer

    public class FormulaRenderer

extends java.lang.Object

Common logic for rendering formulas.
For POI internal use only

Author:
  Josh Micich

Constructor Summary
`FormulaRenderer()`

Method Summary
`static java.lang.String` `toFormulaString(FormulaRenderingWorkbook book, Ptg[] ptgs)` Static method to convert an array of `Ptg`s in RPN order to a human readable string format in infix mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormulaRenderer

    public FormulaRenderer()

Method Detail

### toFormulaString

    public static java.lang.String toFormulaString(FormulaRenderingWorkbook book,
                                                   Ptg[] ptgs)

  Static method to convert an array of `Ptg`s in RPN order to a human readable string format in infix mode.

  Parameters:
    `book` - used for defined names and 3D references
    `ptgs` - must not be `null`
  Returns:
    a human readable String

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.